﻿<%@ Page Language="C#" AutoEventWireup="true"  CodeFile="FlatHierarchyWithSharingColumns.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Syncfusion.Grid.Grouping.Web" Namespace="Syncfusion.Web.UI.WebControls.Grid.Grouping"
    TagPrefix="sfwg" %>
<%@ Register Assembly="Syncfusion.Shared.Web, Version=4.102.0.50, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89"
    Namespace="Syncfusion.Web.UI.WebControls.Tools" TagPrefix="ssw" %>
<%@ Register Assembly="Syncfusion.Shared.Base, Version=4.102.0.50, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89"
    Namespace="Syncfusion.Styles" TagPrefix="cc1" %>
<%@ Register Assembly="Syncfusion.Grid.Windows, Version=4.102.0.50, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89"
    Namespace="Syncfusion.Windows.Forms.Grid" TagPrefix="cc2" %>
<%@ Register Assembly="Syncfusion.Grouping.Base, Version=4.102.0.50, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89"
    Namespace="Syncfusion.Grouping" TagPrefix="cc3" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Forum</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <sfwg:GridGroupingControl ID="GridGroupingControl1" runat="server" DataMember="DefaultView" DataSourceID="AccessDataSource1" OnQueryCellStyleInfo="GridGroupingControl1_QueryCellStyleInfo" PageSize="0">
            <ChildGroupOptions ShowCaptionSummaryCells="True" CaptionText="" />
            <TableOptions IndentWidth="10" ShowRowHeader="False" />
            <TableDescriptor AllowNew="False" AllowEdit="False">
                <VisibleColumns>
                    <sfwg:GridVisibleColumnDescriptor Name="ItemName" />
                    <sfwg:GridVisibleColumnDescriptor Name="Count" />
                </VisibleColumns>
                <GridGroupedColumns>
                    <sfwg:GridSortColumnDescriptor Name="UnitName" SortDirection="Ascending" />
                    <sfwg:GridSortColumnDescriptor Name="RegionName" SortDirection="Ascending" />
                    <sfwg:GridSortColumnDescriptor Name="DivisionName" SortDirection="Ascending" />
                </GridGroupedColumns>
                <Columns>
                    <sfwg:GridColumnDescriptor MappingName="UnitName">
                    </sfwg:GridColumnDescriptor>
                    <sfwg:GridColumnDescriptor MappingName="RegionName">
                    </sfwg:GridColumnDescriptor>
                    <sfwg:GridColumnDescriptor MappingName="DivisionName">
                    </sfwg:GridColumnDescriptor>
                    <sfwg:GridColumnDescriptor MappingName="ItemName">
                        <ItemTemplate>
                            <asp:HyperLink id=HyperLink1 runat="server" NavigateUrl="<%# Container.StyleInfo.Text%>" 
                                Target="_blank" EnableViewState="False">
                                <%# Container.StyleInfo.Text %>							
                            </asp:HyperLink>
                        </ItemTemplate>
                    </sfwg:GridColumnDescriptor>
                    <sfwg:GridColumnDescriptor MappingName="Count">
                    </sfwg:GridColumnDescriptor>
                </Columns>
                <GridUnboundFields>
                    <sfwg:GridUnboundFieldDescriptor Name="Count" />
                </GridUnboundFields>
            </TableDescriptor>
                
        </sfwg:GridGroupingControl>
        <asp:AccessDataSource ID="AccessDataSource1" runat="server" DataFile="~/App_Data/Items.mdb"
            SelectCommand="SELECT * FROM [Items]"></asp:AccessDataSource>
        
    </div>
    </form>
</body>
</html>
